Package org.optaplanner.benchmark.impl.statistic

## Class StatisticPoint

- java.lang.Object
- - org.optaplanner.benchmark.impl.statistic.StatisticPoint

- Direct Known Subclasses:
    `BestScoreStatisticPoint`, `BestSolutionMutationStatisticPoint`, `ConstraintMatchTotalBestScoreStatisticPoint`, `ConstraintMatchTotalStepScoreStatisticPoint`, `MemoryUseStatisticPoint`, `MoveCountPerStepStatisticPoint`, `PickedMoveTypeBestScoreDiffStatisticPoint`, `PickedMoveTypeStepScoreDiffStatisticPoint`, `ScoreCalculationSpeedStatisticPoint`, `StepScoreStatisticPoint`

      public abstract class StatisticPoint
      extends Object

  Implementations must be immutable.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StatisticPoint()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `buildCsvLine​(String... values)` |
    `static String` | `buildCsvLineWithDoubles​(long timeMillisSpent, double... values)` |
    `static String` | `buildCsvLineWithLongs​(long timeMillisSpent, long... values)` |
    `static String` | `buildCsvLineWithStrings​(long timeMillisSpent, String... values)` |
    `static List<String>` | `parseCsvLine​(String line)` |
    `abstract String` | `toCsvLine()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatisticPoint

          public StatisticPoint()

  - ### Method Detail

    - #### toCsvLine

          public abstract String toCsvLine()

    - #### buildCsvLineWithLongs

          public static String buildCsvLineWithLongs​(long timeMillisSpent,
                                                     long... values)

    - #### buildCsvLineWithDoubles

          public static String buildCsvLineWithDoubles​(long timeMillisSpent,
                                                       double... values)

    - #### buildCsvLineWithStrings

          public static String buildCsvLineWithStrings​(long timeMillisSpent,
                                                       String... values)

    - #### buildCsvLine

          public static String buildCsvLine​(String... values)

    - #### parseCsvLine

          public static List<String> parseCsvLine​(String line)